Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHSCPClient

    java.lang.Object
      com.mindbright.ssh.SSHClientUserAdaptor
          com.mindbright.ssh.SSHConsoleClient
              com.mindbright.ssh.SSHSCPClient

All Implemented Interfaces:
  SSHClientUser, SSHConsole, SSHConsoleRemote

public class SSHSCPClient
extends SSHConsoleClient

Field Summary

Fields inherited from class com.mindbright.ssh.SSHConsoleClient
`client, DEFAULT_COPY_BUFFER_SZ, inBottom, inTop, proxyUser, sshHost, stdin, stdout`

Fields inherited from class com.mindbright.ssh.SSHClientUserAdaptor
`interactor, sshPort`

Constructor Summary
`SSHSCPClient(java.lang.String sshHost, int port, SSHAuthenticator authenticator, SSHInteractor interactor, java.io.File cwd, boolean verbose)`

Method Summary
`SSHSCP1` | `scp1()`

Methods inherited from class com.mindbright.ssh.SSHConsoleClient
`changeStdOut, close, close, command, getProxyConnection, getStdIn, getStdOut, getTerminal, print, println, serverConnect, serverDisconnect, setClientUser, shell, stderrWriteString, stdoutWriteString, wantPTY`

Methods inherited from class com.mindbright.ssh.SSHClientUserAdaptor
`getAliveInterval, getCompressionLevel, getDisplay, getInteractor, getMaxPacketSz, getSrvHost, getSrvPort, wantX11Forward`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHSCPClient

    public SSHSCPClient(java.lang.String sshHost,
                        int port,
                        SSHAuthenticator authenticator,
                        SSHInteractor interactor,
                        java.io.File cwd,
                        boolean verbose)
                 throws java.io.IOException

Method Detail

### scp1

    public SSHSCP1 scp1()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD